org.apache.lucene.analysis.ko

## Class KoreanPartOfSpeechStopFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.ko.KoreanPartOfSpeechStopFilterFactory

-     public class KoreanPartOfSpeechStopFilterFactory
      extends TokenFilterFactory

  Factory for `KoreanPartOfSpeechStopFilter`.

       <fieldType name="text_ko" class="solr.TextField">
          <analyzer>
            <tokenizer class="solr.KoreanTokenizerFactory"/>
            <filter class="solr.KoreanPartOfSpeechStopFilterFactory"
                    tags="E,J"/>
          </analyzer>
       </fieldType>

  Supports the following attributes:

  - tags: List of stop tags. if not specified, `KoreanPartOfSpeechStopFilter.DEFAULT_STOP_TAGS` is used.
  Since:
    7.4.0
  WARNING: This API is experimental and might change in incompatible ways in the next release.
  SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
    "koreanPartOfSpeechStop"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME` SPI name

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KoreanPartOfSpeechStopFilterFactory(Map<String,String> args)` Creates a new KoreanPartOfSpeechStopFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenStream` | `create(TokenStream stream)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KoreanPartOfSpeechStopFilterFactory

          public KoreanPartOfSpeechStopFilterFactory(Map<String,String> args)

      Creates a new KoreanPartOfSpeechStopFilterFactory

  - ### Method Detail

    - #### create

          public TokenStream create(TokenStream stream)

      Specified by:
        `create` in class `TokenFilterFactory`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.